// The Pointillize plug-in
// Copyright (C) 2006-2007 Maurits Rijk
//
// ColorCoordinate.cs
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

using System;

namespace Gimp.Pointillize
{
  public class ColorCoordinate : Coordinate<int>
  {
    public Pixel Color {get; private set;}

    public ColorCoordinate(Coordinate<int> c, Pixel color) : base(c)
    {
      Color = color;
    }

    public int Distance(int x, int y)
    {
      x -= X;
      y -= Y;
      return x * x + y * y;
    }

    public int Distance(Coordinate<int> c)
    {
      return Distance(c.X, c.Y);
    }
  }
}
